OpenNMS API 1.2.9

## org.opennms.netmgt.rtc.datablock
Class RTCCategory

    java.lang.Object
      org.opennms.netmgt.config.categories.Category
          org.opennms.netmgt.rtc.datablock.RTCCategory

All Implemented Interfaces:
  java.io.Serializable

public class RTCCategory
extends Category

This class is used to encapsulate a category in the categories xml file.

Author:
  Sowmya Nataraj , OpenNMS.org
See Also:
  Serialized Form

Field Summary
`private java.lang.String` `m_effectiveRule` The 'effective' rule
`private java.util.List` `m_nodes` The nodes list - list of node ids

Fields inherited from class org.opennms.netmgt.config.categories.Category
``

Constructor Summary
`RTCCategory(Category cat, java.lang.String commonRule)` The default constructor - initializes the values

Method Summary
`void` `addNode(long nodeid)` Add to the nodes in this category
`void` `addNode(RTCNode node)` Add to the nodes in this category
`boolean` `containsService(java.lang.String svcname)` Returns true if the service is in the services list in this category or if service list is null
`void` `deleteNode(long nodeid)` Delete from the nodes in this category
`java.lang.String` `getEffectiveRule()` Return the 'effective' category rule
`java.util.List` `getNodes()` Get the node ids in this category

Methods inherited from class org.opennms.netmgt.config.categories.Category

`addPropertyChangeListener, addService, addService, clearService, enumerateService, equals, getComment, getLabel, getNormal, getRule, getService, getService, getServiceCollection, getServiceCount, getWarning, hasNormal, hasWarning, isValid, marshal, marshal, notifyPropertyChangeListeners, removePropertyChangeListener, removeService, setComment, setLabel, setNormal, setRule, setService, setService, setServiceCollection, setWarning, unmarshal, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_effectiveRule

    private java.lang.String m_effectiveRule

  The 'effective' rule

### m_nodes

    private java.util.List m_nodes

  The nodes list - list of node ids

Constructor Detail

### RTCCategory

    public RTCCategory(Category cat,
                       java.lang.String commonRule)

  The default constructor - initializes the values

Method Detail

### addNode

    public void addNode(RTCNode node)

  Add to the nodes in this category

  Parameters:
    `node` - the node to add

### addNode

    public void addNode(long nodeid)

  Add to the nodes in this category

  Parameters:
    `nodeid` - the nodeid to add

### deleteNode

    public void deleteNode(long nodeid)

  Delete from the nodes in this category

  Parameters:
    `nodeid` - the nodeid to delete

### containsService

    public boolean containsService(java.lang.String svcname)

  Returns true if the service is in the services list in this category or if service list is null

  Returns:
    true if the service is in the services list in this category or if service list is null

### getEffectiveRule

    public java.lang.String getEffectiveRule()

  Return the 'effective' category rule

  Returns:
    the 'effective' category rule

### getNodes

    public java.util.List getNodes()

  Get the node ids in this category

  Returns:
    the list of node ids in this category

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.